.TH dbm_error() "" "" "NDBM Function (libgdbm)"
.PC "Check a NDBM data base for an error"
.B "#include <ndbm.h>"
\fBint dbm_error (\fIdatabase\^\fB)\fR
\fBDBM *\fIdatabase\^\fB;\fR
.PP
Macro
.B dbm_error()
checks
.I database
for an error condition, should a call to another data-base function fail.
.SH "See Also"
.XR "dbm_clearerr()," dbm_clear
.XR "ndbm.h," ndbm.h
.XR "libgdbm" libgdbm
.SH Notes
Under the GDBM package, this macro in fact does nothing.
It is included simply for compatibility with existing software.
.PP
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
